%bcond_without tests

Summary:        Pure python RFC3339 validator
Name:           python-rfc3339-validator
Version:        0.1.4
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/naimetti/rfc3339-validator
Source0:        %{pypi_source rfc3339_validator}

Patch0001:      rfc3339-validator-0.1.4-drop-pytest-runner.patch

BuildRequires:  python3-devel
BuildArch:      noarch

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(strict-rfc3339)
%endif

%global common_description %{expand:
A pure python RFC3339 validator.}

%description %{common_description}

%package -n python3-rfc3339-validator
Summary:        Pure python RFC3339 validator

%description -n python3-rfc3339-validator %{common_description}

%prep
%autosetup -n rfc3339_validator-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files rfc3339_validator


%check
%if %{with tests}
%pytest
%endif


%files -n python3-rfc3339-validator -f %{pyproject_files}
%doc CONTRIBUTING.rst HISTORY.rst README.md

%changelog
* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 0.1.4-1
- initial build
